Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513008 - GNOME Boxes should depend on libvirt-daemon + specific drivers rather than libvirt as a whole
Summary: GNOME Boxes should depend on libvirt-daemon + specific drivers rather than li...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 15:10 UTC by Alberto Ruiz
Modified: 2018-11-30 18:12 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:12:48 UTC


Attachments (Terms of Use)

Description Alberto Ruiz 2017-11-14 15:10:45 UTC
libvirt hard depends on libvirt-daemon-driver-storage-zfs which in turn makes zfs-fuse a hard dependency

This creates a conflict with non-fuse base zfs packages like the ones found on https://github.com/zfsonlinux/zfs/wiki/Fedora forcing a choice for Workstation users who want to use zfsonlinux choose between having GNOME Boxes installed or anything libvirt related (like vagrant-libvirt) and zfsonlinux.

More over, there is an argument here that people may want to use zfsonlinux's zfs implementation instead of FUSE which is way slower.

On a more broader note, not sure we need to make things like gluster, zfs and sheepdog a hard dep for libvirt, after all those are optional drivers right? Taking into account that Fedora Workstation depends on libvirt through Boxes, removing these packages as hard deps and moving them to recommended deps instead would help in general.

Comment 1 Alberto Ruiz 2017-11-14 15:16:04 UTC
(In reply to Alberto Ruiz from comment #0)
> Taking into account that Fedora Workstation depends on libvirt
> through Boxes, removing these packages as hard deps and moving them to
> recommended deps instead would help in general.

Just to clarify, I meant that it would help with reducing the disk size for the Fedora Workstation live/installer image.

Comment 2 Peter Krempa 2017-11-14 15:23:49 UTC
You can install libvirt when you cherry pick the modules you want:

e.g. you can install:

libvirt-daemon-driver-storage-core
libvirt-daemon-driver-qemu
libvirt-daemon

individually (perhaps some more deps) and you'll get a minimal install.

Obviously if you select the 'libvirt' package which pulls in everything or e.g one of the meta-packages like 'libvirt-daemon-kvm' it also pulls in everything.

If you want specific config, please select specific packages.

Comment 3 Alberto Ruiz 2017-11-14 15:33:58 UTC
I guess then that Boxes should depend on a specific configuration then?

Comment 4 Ben Cotton 2018-11-27 18:15:23 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 18:12:48 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.